Compile Date

Microsoft Windows graphic
Compile Date: 2003-01-02


Choose a different calendar

To choose a different calendar

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Date tab, in the Calendar type list, click a calendar type.

Notes

  • XOX
  • If Calendar type is not available, your location does not support multiple calendars. The region selected under Standards and formats on the Regional Options tab determines whether multiple calendars are available.

Related Topics


Change the way your computer displays currency values

To change the way your computer displays currency values

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Currency tab, specify any changes you want to make.

    Among items you can change are the currency symbol, the formats used for positive or negative amounts, and the punctuation marks.

Notes

  • XOX
  • If you are switching currencies (for example, from a national currency to the euro), change the currency symbol, and then click OK or Apply. The other fields will change to reflect the new currency.


Regional and Language Options overview

With Regional and Language Options in Control Panel, you can change the format Windows uses to display dates, times, currency amounts, large numbers, and numbers with decimal fractions.

You can also choose from a large number of input languages and text services, such as different keyboard layouts, Input Method Editors, and speech and handwriting recognition programs. When you switch to another input language, some programs offer special features, such as font characters or spelling checkers designed for different languages.

By default, products in the Windows Server 2003 family install the files for most input languages supported by Windows. However, if you want to enter or display text in the East Asian languages (Chinese, Japanese, or Korean) or the complex script and right-to-left languages (Arabic, Armenian, Georgian, Hebrew, the Indic languages, Thai, or Vietnamese), you can install the language files from the Windows CD-ROM or, if applicable, a network.

Each language has a default keyboard layout, but many languages have alternate versions. Even if you do most of your work in one language, you might want to try other layouts. In English, for example, typing letters with accents might be simpler with the U.S.-International layout.


Change the way your computer displays the date

To change the way your computer displays the date

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Date tab, specify any changes you want to make under Short date and Long date.

    4. If you do not see the format you want in Short date or Long date, follow these guidelines:

    To | Do this
Display single-digit numbers without a leading zero | Type a single character. Type d for the day setting, type y for the year setting, and type M for the month setting
Display leading zeros with single-digit numbers | Type two characters. Type dd for the day setting, type yy for the year setting, and type MM for the month setting
Display the last two digits of the year | Type yy for the year setting
Display four digits for the year | Type yyyy for the year setting
Display abbreviations for the day or month | Type three characters. Type ddd for the day setting and type MMM for the month setting
Display the full name of the day or month | Type four characters. Type dddd for the day setting and type MMMM for the month setting
Display additional text | Type single quotation marks (') around text

Notes

  • XOX
  • Use an upper case M for the month setting. The lowercase m is used for the minute setting.


Using the euro as your currency

The euro replaced the national currency of 12 European countries in January 2002. Those countries are Austria, Belgium, Finland, France, Germany, Greece, Italy, Luxemburg, Netherlands, Portugal, Republic of Ireland, and Spain. Monaco, which previously used French currency, also switched to the euro.

All products in the Windows Server 2003 family default to the euro as the currency for those countries. That means that if you select one of the 12 countries as your locale, currency amounts will appear in euros rather than the national currency of that country.

For example, if you are using the French version of Windows, or are using a different version but have selected France as your locale, currency amounts entered in spreadsheets or other documents will appear in euros rather than francs.

If necessary, you can switch to the national currency, or to any other currency, by customizing your currency settings in Regional and Language Options in the Control Panel. For information about customizing your currency settings, click Related Topics.


Install or remove code page conversion tables

To install or remove code page conversion tables

  1. Open Regional and Language Options in Control Panel.
  2. On the Advanced tab, under Code page conversion tables, do any of the following:
    • Select the check box next to the code page conversion table that you want to install.
    • Clear the check box next to the code page conversion table you want to remove.
  3. Click OK or Apply to apply your changes.

Notes

  • XOX
  • XOX
  • Many older programs are written using non-Unicode characters. To properly view those programs, you must have the appropriate code page conversion table installed so that Windows can properly map the characters used by that program to the Unicode characters recognized by Windows.
  • Code page conversion tables that are shown in the list, but that are not available, were installed automatically by Windows. These tables cannot be removed.


Install complex script and right-to-left language files

To install complex script and right-to-left language files

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Supplemental language support, select the Install files for complex script and right-to-left languages check box.
  3. Click OK or Apply.
  4. After the files are installed, you must restart your computer.

Notes

  • XOX
  • XOX
  • The complex script and right-to-left languages include Arabic, Armenian, Georgian, Hebrew, the Indic languages, Thai, and Vietnamese. The files for most other languages are installed on your computer automatically by Windows.
  • It is recommended that you install these files only if you are going to be entering or receiving text in one or more of these languages. Installing the language files may slow down your computer's performance slightly.
  • Once you install the language files, you must add the individual languages for which you want to enter and display text. Once you add a language, the language is loaded into memory every time you start your computer. XOX
  • To remove the complex script and right-to-left language files, clear the check box, and then click OK or Apply.


Install East Asian language files on your computer

To install East Asian language files on your computer

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Supplemental language support, select the Install files for East Asian languages check box.
  3. Click OK or Apply.

    You will prompted to insert the Windows CD-ROM or point to a network location where the files are located.

  4. After the files are installed, you must restart your computer.

Notes

  • XOX
  • XOX
  • The East Asian languages include Chinese, Japanese, and Korean. The files for most other languages are installed on your computer automatically by Windows.
  • It is recommended that you install these files only if you are going to be entering or receiving text in one or more of these languages. The Chinese, Japanese, and Korean files require about 230 megabytes (MB) of space on your hard disk. In addition to the language files, Input Method Editors (IMEs) are installed for each of the three languages.
  • After you install the East Asian language files on your computer's hard disk, you must add the individual languages for which you want to enter and display text. After you add a language, the language is loaded into memory every time you start your computer. XOX
  • To remove the Chinese, Japanese, and Korean files from your computer, clear the check box, and then click OK or Apply.


Customize key sequences for input languages

To customize key sequences for input languages

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Preferences, click Key Settings.
  4. In the Advanced Key Settings dialog box, under Hot keys for input languages, click the action for which you want to change the key sequence, and then click Change Key Sequence.
  5. If necessary, select the check box to enable an action, and then click the key sequence you want to use.
  6. Click OK four times.

Notes

  • XOX
  • The Key Settings button is available only if you have added multiple languages or keyboard layouts.


Change number, currency, time, and date settings

To change number, currency, time, and date settings

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click the locale whose date, time, number, and currency format you want to use.

Notes

  • XOX
  • Click Customize if you want to change individual settings for date, time, numbers, or currency.
  • To select an East Asian language or a complex script and right-to-left language, you must install the files for those languages. XOX


Change the language used for menus and dialog boxes

To change the language used for menus and dialog boxes

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Language used in menus and dialogs, click the language you want.

Notes

  • XOX
  • This option is only available in the Windows Multilingual User Interface Pack. If you are interested in this product, please contact the Microsoft office nearest you for more information.


Change the way your computer displays numbers

To change the way your computer displays numbers

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Numbers tab, specify any changes you want to make.

    Among items you can change are the decimal symbol and list separator, the format used for negative numbers and leading zeros, and the measurement system (U.S. or metric).

Note

  • XOX


Display non-Unicode programs in their native language

To display non-Unicode programs in their native language

  1. Open Regional and Language Options in Control Panel.
  2. On the Advanced tab, under Language for non-Unicode programs, click the language version of non-Unicode programs that will be used.

Notes

  • XOX
  • XOX
  • This setting enables programs that do not support Unicode to display menus and dialog boxes in their native language by installing the necessary code pages and fonts. However, programs designed for other languages may not display text correctly.
  • Only non-Unicode programs are affected by this setting. The language you select for this option does not change the menus and dialog boxes of Windows or other Unicode programs.


Change the way your computer displays the time

To change the way your computer displays the time

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Time tab, specify any changes you want to make.

    4. If you do not see the format you want in Time format, follow these guidelines:

    To | Do this
Display time in a 24-hour format | Type uppercase H or HH for the hour
Display time in a 12-hour format | Type lowercase h or hh for the hour
Display leading zeros in single-digit hours | Type two characters, HH or hh
Suppress the display of leading zeros in single-digit hours, minutes, or seconds | Type a single uppercase H, or lowercase letter, such as h, m, or s
Display a single letter to indicate AM or PM | Type lowercase t
Display two letters to indicate AM or PM | Type lowercase tt
Display text | Type single quotation marks (') around text

Note

  • XOX


Specify how your computer interprets two-digit years

To specify how your computer interprets two-digit years

  1. Open Regional and Language Options in Control Panel.
  2. On the Regional Options tab, under Standards and formats, click Customize.
  3. On the Date tab, under When a two-digit year is entered, interpret it as a year between type or select the ending year.

Notes

  • XOX
  • This feature has a 100-year span. The default span is 1930 to 2029.

    • A program that uses this option to interpret two-digit years will consider the years between (and including) 30 and 99 to be preceded by 19, and years between (and including) 00 and 29 to be preceded by 20. For example, 99 will be interpreted as 1999 and 01 will be interpreted as 2001.

  • Four-digit years are not affected by this option.
  • Not all programs use this option. If the program you are using does not correctly interpret two-digit years, consult the documentation or manufacturer of that program.